Loading...
Searching...
No Matches
Opm::NumericalAquiferCell Struct Reference

## Public Member Functions

| NumericalAquiferCell (const std::size_t record_id_, const DeckRecord &, const EclipseGrid &, const FieldPropsManager &)
double | cellVolume () const
double | poreVolume () const
double | transmissiblity () const
bool | operator== (const NumericalAquiferCell &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Public Attributes

std::size_t | aquifer_id {}
std::size_t | I {}
std::size_t | J {}
std::size_t | K {}
double | area {}
double | length {}
double | porosity {}
double | permeability {}
double | depth {}
std::optional< double > | init_pressure {}
int | pvttable {}
int | sattable {}
std::size_t | global_index {}
std::size_t | record_id {}

The documentation for this struct was generated from the following files:

- opm/input/eclipse/EclipseState/Aquifer/NumericalAquifer/NumericalAquiferCell.hpp
- opm/input/eclipse/EclipseState/Aquifer/NumericalAquifer/NumericalAquiferCell.cpp